=== debian/control ===
Source: cracklib2
Section: libs
Priority: optional
Maintainer: Jan Dittberner <jandd@debian.org>
Uploaders: Martin Pitt <mpitt@debian.org>
Standards-Version: 3.9.5
Build-Depends: autoconf (>=2.61),
               automake (>= 1.10),
               autotools-dev,
               chrpath,
               debhelper (>= 9),
               docbook-utils,
               docbook-xml,
               dpkg-dev (>= 1.16.1~),
               libtool,
               python-all-dev (>= 2.6.6-3~),
               python-setuptools,
               python3-all-dev (>= 3.1.3-2~),
               python3-setuptools
Homepage: http://sourceforge.net/projects/cracklib
Vcs-Git: git://anonscm.debian.org/pkg-cracklib/pkg-cracklib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cracklib/pkg-cracklib.git

Package: libcrack2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: cracklib-runtime
Description: pro-active password checker library
 Shared library for cracklib2 which contains a C function which may be
 used in a passwd like program. The idea is simple: try to prevent
 users from choosing passwords that could be guessed by crack by
 filtering them out, at source. cracklib2 is NOT a replacement passwd
 program. cracklib2 is a LIBRARY.

Package: libcrack2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: pro-active password checker library
 Shared library for cracklib2 which contains a C function which may be
 used in a passwd like program. The idea is simple: try to prevent
 users from choosing passwords that could be guessed by crack by
 filtering them out, at source.
 .
 This is an udeb package that can be used by the Debian installer.

Package: libcrack2-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libcrack2 (=${binary:Version}), ${misc:Depends}
Recommends: cracklib-runtime
Description: pro-active password checker library - development files
 Header files, static libraries, documentation, and symbolic links
 developers using cracklib2 will need.
 .
 If you want to build software using cracklib2 you will need to
 install this package. For developing Python based applications for
 cracklib2 you need to install python-cracklib instead.

Package: cracklib-runtime
Section: admin
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: file,
         libcrack2 (>=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wamerican | wordlist
Description: runtime support for password checker library cracklib2
 Run-time support programs which use the shared library in libcrack2
 including programs to build the password dictionary databases used by
 the functions in the shared library.

Package: python-cracklib
Section: python
Architecture: any
Depends: cracklib-runtime
 (>=${binary:Version}),
         libcrack2 (>=${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Conflicts: python-crack
Description: Python bindings for password checker library cracklib2
 This package provides Python bindings for cracklib. It contains a
 pythonic interface to cracklib's functions and some Python
 convenience functions.
 .
 You should install this package if you want to use or develop Python
 applications that want to interface with cracklib2.

Package: python3-cracklib
Section: python
Architecture: any
Depends: cracklib-runtime
 (>=${binary:Version}),
         libcrack2 (>=${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Python3 bindings for password checker library cracklib2
 This package provides Python bindings for cracklib. It contains a
 pythonic interface to cracklib's functions and some Python
 convenience functions.
 .
 You should install this package if you want to use or develop Python3
 applications that want to interface with cracklib2.
 .
 This package provides the Python3 version of cracklib2's Python binding.
