## cracklib2 2.9.2

=== debian/changelog ===
cracklib2 (2.9.2-5.2build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:53:30 +0000

cracklib2 (2.9.2-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for a "nopython" build-profile. (Closes: #894385)

 -- Karsten Merker <merker@debian.org>  Sun, 01 Apr 2018 15:31:33 +0200

cracklib2 (2.9.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove the ":native" annotation from the "cracklib-runtime <cross>"
    build-dependency. (Closes: #891803)

 -- Karsten Merker <merker@debian.org>  Wed, 21 Mar 2018 22:39:38 +0100

cracklib2 (2.9.2-5) unstable; urgency=medium

  * Add Breaks: cracklib-runtime (<< 2.9.2-4) to libcrack2 to configure
    cracklib-runtime in the correct order (Closes: #854554)

 -- Jan Dittberner <jandd@debian.org>  Sat, 27 May 2017 11:41:18 +0200

cracklib2 (2.9.2-4) unstable; urgency=medium

  * Migrate triggers to interest-noawait to avoid trigger-cycles (Closes:
    #859307)

 -- Jan Dittberner <jandd@debian.org>  Sat, 08 Apr 2017 13:25:28 +0200

cracklib2 (2.9.2-3) unstable; urgency=medium

  * Fix "Buffer overflow processing long words" by applying patch from
    https://build.opensuse.org/package/view_file/Base:System/cracklib/
    0004-overflow-processing-long-words.patch (Closes: #835386)
  * remove obsolete debian/pycompat
  * change Vcs-* fields to https variants
  * Bump Standards-Version to 3.9.8 (no changes)
  * Fix "FTCBFS: invokes host-arch executable cracklib-packer" by applying
    Helmut Grohne's patch to fix cross compilation (Closes: #792860)

 -- Jan Dittberner <jandd@debian.org>  Thu, 25 Aug 2016 17:29:17 +0200

cracklib2 (2.9.2-2) unstable; urgency=medium

  * Fix "CVE-2016-6318: Stack-based buffer overflow when parsing large
    GECOS field" by applying patch by Salvatore Bonaccorso (Closes: #834502)

 -- Jan Dittberner <jandd@debian.org>  Tue, 23 Aug 2016 18:50:44 +0200

cracklib2 (2.9.2-1) unstable; urgency=medium

  * New upstream version (Closes: #724570)
  * refresh debian/patches/install-debian-python-modules.patch
  * bump Standards-Version to 3.9.6 (No changes)
  * upstream supports out of tree builds, simplify debian/rules
    override_dh_auto_build and override_dh_auto_clean
  * remove debian/test_cracklib.py that is now included as
    python/test_cracklib.py
  * remove compile and python/cracklib.egg-info in debian/rules
    override_dh_auto_clean to avoid unintended upstream changes
  * add README-DAWG and README-LICENSE to debian/libcrack2.docs
  * change debian/copyright to machine readable format

 -- Jan Dittberner <jandd@debian.org>  Sun, 05 Oct 2014 23:48:30 +0200
