=== debian/control ===
--- 
+++ 
@@ -3,23 +3,24 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Build-Depends: autoconf (>=2.61),
                automake (>= 1.10),
                autotools-dev,
                chrpath,
+               cracklib-runtime <cross>,
                debhelper (>= 9),
                docbook-utils,
                docbook-xml,
                dpkg-dev (>= 1.16.1~),
                libtool,
-               python-all-dev (>= 2.6.6-3~),
-               python-setuptools,
-               python3-all-dev (>= 3.1.3-2~),
-               python3-setuptools
+               python-all-dev (>= 2.6.6-3~) <!nopython>,
+               python-setuptools <!nopython>,
+               python3-all-dev (>= 3.1.3-2~) <!nopython>,
+               python3-setuptools <!nopython>
 Homepage: http://sourceforge.net/projects/cracklib
-Vcs-Git: git://anonscm.debian.org/pkg-cracklib/pkg-cracklib.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cracklib/pkg-cracklib.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-cracklib/pkg-cracklib.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-cracklib/pkg-cracklib.git
 
 Package: libcrack2
 Architecture: any
@@ -27,6 +28,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: cracklib-runtime
+Breaks: cracklib-runtime (<< 2.9.2-4)
 Description: pro-active password checker library
  Shared library for cracklib2 which contains a C function which may be
  used in a passwd like program. The idea is simple: try to prevent
@@ -88,6 +90,7 @@
          ${shlibs:Depends}
 Provides: ${python:Provides}
 Conflicts: python-crack
+Build-Profiles: <!nopython>
 Description: Python bindings for password checker library cracklib2
  This package provides Python bindings for cracklib. It contains a
  pythonic interface to cracklib's functions and some Python
@@ -106,6 +109,7 @@
          ${python3:Depends},
          ${shlibs:Depends}
 Provides: ${python3:Provides}
+Build-Profiles: <!nopython>
 Description: Python3 bindings for password checker library cracklib2
  This package provides Python bindings for cracklib. It contains a
  pythonic interface to cracklib's functions and some Python
