=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,19 @@
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-ifneq ($(DEB_STAGE),stage1)
+ifeq ($(filter stage1,$(DEB_STAGE))$(filter nopython,$(DEB_BUILD_PROFILES)),)
 PYVERS := $(shell pyversions -vs)
 PY3VERS := $(shell py3versions -vs)
+DH_WITH_PARAMETERS := python2,python3,autotools_dev
 else
 NOPYTHON_OPTIONS = -Npython-cracklib -Npython3-cracklib
+DH_WITH_PARAMETERS := autotools_dev
+endif
+
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+CRACKLIB_PACKER=$(CURDIR)/debian/buildtmp/base/util/cracklib-packer
+else
+CRACKLIB_PACKER=/usr/sbin/cracklib-packer
 endif
 
 override_dh_auto_configure:
@@ -42,16 +50,12 @@
 
 override_dh_auto_build:
 	$(MAKE) -C $(CURDIR)/debian/buildtmp/base
-ifneq ($(DEB_STAGE),stage1)
+ifeq ($(filter stage1,$(DEB_STAGE))$(filter nopython,$(DEB_BUILD_PROFILES)),)
+	ln -s $(CURDIR)/debian/crack.py $(CURDIR)/python; \
 	for i in $(PYVERS) $(PY3VERS); do \
 		cd $(CURDIR)/debian/buildtmp/python$$i; \
 		rm -rf lib; ln -s $(CURDIR)/debian/buildtmp/base/lib lib; \
 		cd python; \
-		ln -s $(CURDIR)/python/*.py \
-		      $(CURDIR)/python/*.c \
-		      $(CURDIR)/debian/test_cracklib.py \
-		      $(CURDIR)/debian/crack.py \
-		      . ; \
 		CFLAGS="-I$(CURDIR)/lib $(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" python$$i setup.py build ; \
 	done
 endif
@@ -60,8 +64,8 @@
 
 override_dh_auto_test:
 	mkdir $(CURDIR)/debian/tmp
-ifneq ($(DEB_STAGE),stage1)
-	$(CURDIR)/debian/buildtmp/base/util/cracklib-packer $(CURDIR)/debian/tmp/cracklib_dict < \
+ifeq ($(filter stage1,$(DEB_STAGE))$(filter nopython,$(DEB_BUILD_PROFILES)),)
+	$(CRACKLIB_PACKER) $(CURDIR)/debian/tmp/cracklib_dict < \
 	 $(CURDIR)/dicts/cracklib-small
 	for i in $(PYVERS) $(PY3VERS); do \
 		cd $(CURDIR)/debian/buildtmp/python$$i/python/$(call py_builddir_sh,$$i); \
@@ -80,7 +84,9 @@
 	 dicts/Makefile.in doc/Makefile.in lib/Makefile.in m4/Makefile.in	\
 	 py-compile python/Makefile.in util/Makefile.in ltmain.sh		\
 	 m4/ltoptions.m4 m4/ltversion.m4 m4/libtool.m4 m4/ltsugar.m4		\
-	 m4/lt~obsolete.m4
+	 m4/lt~obsolete.m4 compile
+	# remove files created or changed by build
+	rm -rf python/crack.py python/cracklib.egg-info
 	dh_auto_clean
 
 override_dh_auto_install:
@@ -93,7 +99,7 @@
 	      $(CURDIR)/debian/libcrack2-udeb/usr/lib/$(DEB_HOST_MULTIARCH)
 	cp -r $(CURDIR)/debian/libcrack2/usr/share/locale/* \
 	      $(CURDIR)/debian/libcrack2-udeb/usr/share/locale
-	$(CURDIR)/debian/buildtmp/base/util/cracklib-packer $(CURDIR)/debian/libcrack2-udeb/var/cache/cracklib/cracklib_dict < \
+	$(CRACKLIB_PACKER) $(CURDIR)/debian/libcrack2-udeb/var/cache/cracklib/cracklib_dict < \
 	    $(CURDIR)/dicts/cracklib-small
 	# move files to libcrack2-dev
 	mkdir -p $(CURDIR)/debian/libcrack2-dev/usr/lib/$(DEB_HOST_MULTIARCH)
@@ -116,7 +122,7 @@
 	  $(CURDIR)/debian/cracklib-runtime/usr/sbin/cracklib-packer \
 	  $(CURDIR)/debian/cracklib-runtime/usr/sbin/cracklib-unpacker
 
-ifneq ($(DEB_STAGE),stage1)
+ifeq ($(filter stage1,$(DEB_STAGE))$(filter nopython,$(DEB_BUILD_PROFILES)),)
 	for i in $(PYVERS); do \
 		cd $(CURDIR)/debian/buildtmp/python$$i/python; \
 		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/python-cracklib; \
@@ -135,7 +141,7 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-ifneq ($(DEB_STAGE),stage1)
+ifeq ($(filter stage1,$(DEB_STAGE))$(filter nopython,$(DEB_BUILD_PROFILES)),)
 override_dh_python2:
 	dh_python2 -ppython-cracklib
 
@@ -144,4 +150,4 @@
 endif
 
 %:
-	dh $@ --with python2,python3,autotools_dev $(NOPYTHON_OPTIONS)
+	dh $@ --with $(DH_WITH_PARAMETERS) $(NOPYTHON_OPTIONS)
