## cracklib2 2.9.6

=== debian/changelog ===
cracklib2 (2.9.6-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  [Helmut Grohne]
  * Fix FTBFS with missing python.mk. (Closes: #951101)

 -- Peter Michael Green <plugwash@debian.org>  Tue, 31 Mar 2020 04:24:12 +0000

cracklib2 (2.9.6-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control: Add Build-dependency on dh-python to fix
    FTBFS when building with python support. A <!nopython>
    mark was also included.
    (Closes: #944934)

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Nov 2019 10:14:51 -0500

cracklib2 (2.9.6-3) unstable; urgency=medium

  * Fix "fails to build Python 3.8 extensions" by removing the
    _PYTHON_HOST_PLATFORM and _PYTHON_SYSCONFIGDATA_NAME definitions in
    debian/rules (thanks to Michael Hudson-Doyle for the patch (Closes:
    #942891)
  * Fix "cracklib2 ignores build failures" by adding set -e before iterating
    over python versions in debian/rules (Closes: #942667)
  * Bump Standards-Version to 4.4.1 (no changes)
  * Add Build-Depends-Package: libcrack2-dev to debian/libcrack2.symbols
  * Incorporate changes by Sandro Tosi to drop python2 support; (Closes:
    #936339)

 -- Jan Dittberner <jandd@debian.org>  Wed, 23 Oct 2019 13:02:23 +0200

cracklib2 (2.9.6-2) unstable; urgency=medium

  * Add missing 2.9.6-1 changelog bug tracker references
  * Add patch by Helmut Grohne to fix FTBFS with nopython build profile
    (Closes: #917835)
  * debian/control: Bump Standards-Version to 4.3.0 (no changes)
  * Apply patch by Helmut Grohne to fix FTCBFS (Closes: #913401)
    + Multiarchify python Build-Depends
    + Tell setup.py what to cross for
    + Honour DEB_BUILD_OPTIONS=nocheck

 -- Jan Dittberner <jandd@debian.org>  Mon, 31 Dec 2018 12:04:32 +0100

cracklib2 (2.9.6-1) unstable; urgency=medium

  [ Jan Dittberner ]
  * New upstream version (Closes: #906935)
  * Lintian fix: add missing symbols to debian/libcrack2.symbols
  * Update VCS and Homepage URLs in debian/control
  * Update copyright information in debian/copyright
  * Fix lintian warning override_dh_auto_test-does-not-check-
    DEB_BUILD_OPTIONS
  * Add DEB_BUILD_MAINT_OPTIONS for hardening
  * Update debian/watch file to use the github release page
  * debian/control: Bump Standards Version to 4.1.5
    - remove Priority: extra for libcrack2-dev
  * Apply patch by Chris Lamb to make contents of /var/cache/cracklib/src-dict
    reproducible by sorting the file lists (Closes: #865623)
  * Bump debian/compat level and debhelper dependency to 10
  * Remove --with_autotools_dev use debhelper dh_update_autotools_config
    instead
  * Fix "FTBFS if built twice in a row: aborting due to unexpected
    upstream changes" by removing config.h.in that is regenerated by
    autoheader (Closes: #839532)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Jan Dittberner ]
  * Remove useless autotools-dev from Build-Depends to fix lintian
    warning

 -- Jan Dittberner <jandd@debian.org>  Fri, 28 Dec 2018 23:19:25 +0100
