=== debian/control ===
--- 
+++ 
@@ -3,24 +3,23 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.4.1
 Build-Depends: autoconf (>=2.61),
                automake (>= 1.10),
-               autotools-dev,
                chrpath,
                cracklib-runtime <cross>,
-               debhelper (>= 9),
+               debhelper (>= 10),
+               dh-python <!nopython>,
                docbook-utils,
                docbook-xml,
                dpkg-dev (>= 1.16.1~),
                libtool,
-               python-all-dev (>= 2.6.6-3~) <!nopython>,
-               python-setuptools <!nopython>,
-               python3-all-dev (>= 3.1.3-2~) <!nopython>,
+               libpython3-all-dev (>= 3.1.3-2~) <!nopython>,
+               python3-all-dev:any (>= 3.1.3-2~) <!nopython>,
                python3-setuptools <!nopython>
-Homepage: http://sourceforge.net/projects/cracklib
-Vcs-Git: https://anonscm.debian.org/git/pkg-cracklib/pkg-cracklib.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-cracklib/pkg-cracklib.git
+Homepage: https://github.com/cracklib/cracklib
+Vcs-Git: https://salsa.debian.org/debian/pkg-cracklib.git
+Vcs-Browser: https://salsa.debian.org/debian/pkg-cracklib/
 
 Package: libcrack2
 Architecture: any
@@ -52,7 +51,6 @@
 
 Package: libcrack2-dev
 Section: libdevel
-Priority: extra
 Architecture: any
 Depends: libcrack2 (=${binary:Version}), ${misc:Depends}
 Recommends: cracklib-runtime
@@ -62,7 +60,7 @@
  .
  If you want to build software using cracklib2 you will need to
  install this package. For developing Python based applications for
- cracklib2 you need to install python-cracklib instead.
+ cracklib2 you need to install python3-cracklib instead.
 
 Package: cracklib-runtime
 Section: admin
@@ -78,26 +76,6 @@
  Run-time support programs which use the shared library in libcrack2
  including programs to build the password dictionary databases used by
  the functions in the shared library.
-
-Package: python-cracklib
-Section: python
-Architecture: any
-Depends: cracklib-runtime
- (>=${binary:Version}),
-         libcrack2 (>=${binary:Version}),
-         ${misc:Depends},
-         ${python:Depends},
-         ${shlibs:Depends}
-Provides: ${python:Provides}
-Conflicts: python-crack
-Build-Profiles: <!nopython>
-Description: Python bindings for password checker library cracklib2
- This package provides Python bindings for cracklib. It contains a
- pythonic interface to cracklib's functions and some Python
- convenience functions.
- .
- You should install this package if you want to use or develop Python
- applications that want to interface with cracklib2.
 
 Package: python3-cracklib
 Section: python
