=== debian/rules ===
--- 
+++ 
@@ -1,22 +1,20 @@
 #!/usr/bin/make -f
 
+DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/python/python.mk
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 ifeq ($(filter stage1,$(DEB_STAGE))$(filter nopython,$(DEB_BUILD_PROFILES)),)
-PYVERS := $(shell pyversions -vs)
+include /usr/share/python3/python.mk
 PY3VERS := $(shell py3versions -vs)
-DH_WITH_PARAMETERS := python2,python3,autotools_dev
+DH_WITH_PARAMETERS := python3
 else
-NOPYTHON_OPTIONS = -Npython-cracklib -Npython3-cracklib
-DH_WITH_PARAMETERS := autotools_dev
+NOPYTHON_OPTIONS = -Npython3-cracklib
+DH_WITH_PARAMETERS :=
 endif
 
 ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
@@ -35,7 +33,8 @@
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--with-default-dict=/var/cache/cracklib/cracklib_dict \
 		CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
-	for i in $(PYVERS) $(PY3VERS); do \
+	set -e; \
+	for i in $(PY3VERS); do \
 		mkdir -p $(CURDIR)/debian/buildtmp/python$$i; \
 		cd $(CURDIR)/debian/buildtmp/python$$i; \
 		$(CURDIR)/configure \
@@ -52,7 +51,8 @@
 	$(MAKE) -C $(CURDIR)/debian/buildtmp/base
 ifeq ($(filter stage1,$(DEB_STAGE))$(filter nopython,$(DEB_BUILD_PROFILES)),)
 	ln -s $(CURDIR)/debian/crack.py $(CURDIR)/python; \
-	for i in $(PYVERS) $(PY3VERS); do \
+	set -e; \
+	for i in $(PY3VERS); do \
 		cd $(CURDIR)/debian/buildtmp/python$$i; \
 		rm -rf lib; ln -s $(CURDIR)/debian/buildtmp/base/lib lib; \
 		cd python; \
@@ -63,15 +63,18 @@
 	docbook2html -o debian/doc --nochunks debian/cracklib-runtime.xml
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir $(CURDIR)/debian/tmp
-ifeq ($(filter stage1,$(DEB_STAGE))$(filter nopython,$(DEB_BUILD_PROFILES)),)
+ifeq ($(filter stage1,$(DEB_STAGE))$(filter nopython,$(DEB_BUILD_PROFILES))$(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	$(CRACKLIB_PACKER) $(CURDIR)/debian/tmp/cracklib_dict < \
 	 $(CURDIR)/dicts/cracklib-small
-	for i in $(PYVERS) $(PY3VERS); do \
+	set -e; \
+	for i in $(PY3VERS); do \
 		cd $(CURDIR)/debian/buildtmp/python$$i/python/$(call py_builddir_sh,$$i); \
 		LD_LIBRARY_PATH=$(CURDIR)/debian/buildtmp/base/lib/.libs python$$i \
 		-c 'import cracklib; cracklib.test(dictpath="$(CURDIR)/debian/tmp/cracklib_dict")'; \
 	done
+endif
 endif
 
 override_dh_auto_clean:
@@ -123,10 +126,7 @@
 	  $(CURDIR)/debian/cracklib-runtime/usr/sbin/cracklib-unpacker
 
 ifeq ($(filter stage1,$(DEB_STAGE))$(filter nopython,$(DEB_BUILD_PROFILES)),)
-	for i in $(PYVERS); do \
-		cd $(CURDIR)/debian/buildtmp/python$$i/python; \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/python-cracklib; \
-	done
+	set -e; \
 	for i in $(PY3VERS); do \
 		cd $(CURDIR)/debian/buildtmp/python$$i/python; \
 		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-cracklib; \
@@ -142,12 +142,9 @@
 	dh_installchangelogs NEWS
 
 ifeq ($(filter stage1,$(DEB_STAGE))$(filter nopython,$(DEB_BUILD_PROFILES)),)
-override_dh_python2:
-	dh_python2 -ppython-cracklib
-
 override_dh_python3:
 	dh_python3 -ppython3-cracklib
 endif
 
 %:
-	dh $@ --with $(DH_WITH_PARAMETERS) $(NOPYTHON_OPTIONS)
+	dh $@ --with=$(DH_WITH_PARAMETERS) $(NOPYTHON_OPTIONS)
