=== debian/watch ===
version=4
https://github.com/cracklib/cracklib/tags .*/cracklib-?(\d\S+)\.tar\.gz
