## cracklib2 2.10.2

=== debian/changelog ===
cracklib2 (2.10.2-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Remove patches applied upstream:
    - CVE-2016-6318.patch
    - python3.12-support.patch
  * Disable patches, which currently don't apply:
    - libcrack2-error-safer-check-variant.patch
    - improve_test_737040.patch
    - overflow-processing-long-words.patch
  * debian/libcrack2.symbols: Comment out the Debian specific symbol.
  * debian/rules: Explicitly pass LOCALEDIR to the Python builds.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Nov 2024 12:58:37 +0100

cracklib2 (2.9.6-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix unittests for Python 3.13 (Stuart Prescott). Closes: #1081425.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Nov 2024 11:48:06 +0100

cracklib2 (2.9.6-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix test failures with Python 3.12 (Olivier Gayot). Closes: #1055571.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Dec 2023 08:45:06 +0100

cracklib2 (2.9.6-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

  [ Jan Dittberner ]
  * Fix "support the noudeb build profile" by adding Build-Profiles to
    libcrack2-udeb in debian/control, thanks to Helmut Grohne (Closes:
    #1024933)
  * Fix "/etc/cron.daily/cracklib-runtime: Please drop/replace the cron
    job" by dropping the daily cron job and changing the man page in
    debian/update-cracklib.8 (Closes: #924074)

 -- Jan Dittberner <jandd@debian.org>  Tue, 29 Nov 2022 08:26:33 +0100

cracklib2 (2.9.6-4) unstable; urgency=medium

  * Thanks to Boyuan Yang, Peter Michael Green and Helmut Grohne for the
    NMUs
  * Fix "cracklib2 FTBFS on musl: gettext misdetected" by adding a patch to
    require gettext >= 0.19.8 from Helmut Grohne (Closes: #1008711)

 -- Jan Dittberner <jandd@debian.org>  Sat, 09 Apr 2022 14:32:41 +0200

cracklib2 (2.9.6-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on various archs: The environment of py_builddir_sh needs to
    carry the _PYTHON_* variables as well.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 30 Dec 2020 08:38:46 +0100

cracklib2 (2.9.6-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark libcrack2-dev Multi-Arch: same.
  * Fix FTCBFS: Revert removal of _PYTHON_* variables. (Closes: #943500)
  * Explicitly disable zlib support. (Closes: #928436)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 26 Dec 2020 13:42:43 +0100
