=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jan Dittberner <jandd@debian.org>
 Uploaders: Martin Pitt <mpitt@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
 Build-Depends: autoconf (>=2.61),
                automake (>= 1.10),
                chrpath,
@@ -37,6 +37,7 @@
 
 Package: libcrack2-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -52,6 +53,7 @@
 Package: libcrack2-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libcrack2 (=${binary:Version}), ${misc:Depends}
 Recommends: cracklib-runtime
 Description: pro-active password checker library - development files
