=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,11 @@
 CRACKLIB_PACKER=/usr/sbin/cracklib-packer
 endif
 
+# The _PYTHON_* asssignments are required for cross building. Don't
+# delete them unless you verify that cross building keeps working.
+export _PYTHON_HOST_PLATFORM=$(DEB_HOST_ARCH_OS)-$(DEB_HOST_GNU_CPU)
+export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__$(DEB_HOST_ARCH_OS)_$(DEB_HOST_MULTIARCH)
+
 override_dh_auto_configure:
 	aclocal && libtoolize && automake --add-missing && autoreconf
 	mkdir -p $(CURDIR)/debian/buildtmp/base
@@ -32,6 +37,7 @@
 		--prefix=/usr --disable-rpath --without-python \
 		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--with-default-dict=/var/cache/cracklib/cracklib_dict \
+		--without-zlib \
 		CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 	set -e; \
 	for i in $(PY3VERS); do \
@@ -42,6 +48,7 @@
 			--prefix=/usr --disable-rpath \
 			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 			--with-default-dict=/var/cache/cracklib/cracklib_dict \
+			--without-zlib \
 			PYTHON_PREFIX=$(call py_builddir_sh,$$i) \
 			PYTHON=/usr/bin/python$$i \
 			CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"; \
@@ -56,7 +63,10 @@
 		cd $(CURDIR)/debian/buildtmp/python$$i; \
 		rm -rf lib; ln -s $(CURDIR)/debian/buildtmp/base/lib lib; \
 		cd python; \
-		CFLAGS="-I$(CURDIR)/lib $(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" python$$i setup.py build ; \
+		CFLAGS='-I$(CURDIR)/lib $(CFLAGS)' \
+		LDFLAGS='$(LDFLAGS)' \
+		CPPFLAGS='$(CPPFLAGS) -DLOCALEDIR=\"/usr/share/locale\"' \
+			python$$i setup.py build ; \
 	done
 endif
 	docbook2html -o debian/doc --nochunks debian/libcrack2.xml
